package com.ruoyi.project.sems.his.mapper;

import java.util.List;
import com.ruoyi.framework.aspectj.lang.annotation.DataScope;
import com.ruoyi.project.sems.domain.TSpecdevCc;
import com.ruoyi.project.sems.domain.TSpecdevYlrq;
import com.ruoyi.project.sems.his.domain.TSpechiCc;

/**
 * 特种设备叉车台账历史Mapper接口
 * 
 * @author ruoyi
 * @date 2021-09-02
 */
public interface TSpechiCcMapper 
{
    /**
     * 查询特种设备叉车台账历史
     * 
     * @param id 特种设备叉车台账历史ID
     * @return 特种设备叉车台账历史
     */
    public TSpechiCc selectTSpechiCcById(Long id);

    /**
     * 查询特种设备叉车台账历史列表
     * 
     * @param tSpechiCc 特种设备叉车台账历史
     * @return 特种设备叉车台账历史集合
     */
    @DataScope(deptAlias = "d")
    public List<TSpechiCc> selectTSpechiCcList(TSpechiCc tSpechiCc);

    /**
     * 新增特种设备叉车台账历史
     * 
     * @param tSpechiCc 特种设备叉车台账历史
     * @return 结果
     */
    public int insertTSpechiCc(TSpechiCc tSpechiCc);

    /**
     * 使用台账对象新增特种设备压力容器台账历史
     * @param tSpecdevCc 特种设备台账对象
     * @return
     */
    public int insertTSpechiCcByDev(TSpecdevCc tSpecdevCc);

    /**
     * 修改特种设备叉车台账历史
     * 
     * @param tSpechiCc 特种设备叉车台账历史
     * @return 结果
     */
    public int updateTSpechiCc(TSpechiCc tSpechiCc);

    /**
     * 删除特种设备叉车台账历史
     * 
     * @param id 特种设备叉车台账历史ID
     * @return 结果
     */
    public int deleteTSpechiCcById(Long id);

    /**
     * 批量删除特种设备叉车台账历史
     * 
     * @param ids 需要删除的数据ID
     * @return 结果
     */
    public int deleteTSpechiCcByIds(Long[] ids);

    public List<TSpechiCc> selectTSpechiCcByReform(Long devId);

    /**
     * 根据devId删除台账历史
     * @param devId
     * @return
     */
    public int deleteTSpechiCcByDevId(Long devId);
}
